Package org.springframework.transaction.config

# Class JtaTransactionManagerFactoryBean

java.lang.Object
org.springframework.transaction.config.JtaTransactionManagerFactoryBean

All Implemented Interfaces:
  `org.springframework.beans.factory.FactoryBean<JtaTransactionManager>`, `org.springframework.beans.factory.InitializingBean`

@Deprecated(since="6.0") public class JtaTransactionManagerFactoryBean extends Object implements org.springframework.beans.factory.FactoryBean<JtaTransactionManager>, org.springframework.beans.factory.InitializingBean
Deprecated.
as of 6.0, in favor of a straight `JtaTransactionManager` definition
A `FactoryBean` equivalent to the <tx:jta-transaction-manager/> XML element.

Since:
  4.1.1
Author:
  Juergen Hoeller

## Field Summary

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`JtaTransactionManagerFactoryBean()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`afterPropertiesSet()`
Deprecated.
`JtaTransactionManager`
`getObject()`
Deprecated.
`Class<?>`
`getObjectType()`
Deprecated.
`boolean`
`isSingleton()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JtaTransactionManagerFactoryBean

public JtaTransactionManagerFactoryBean()
Deprecated.

## Method Details

### afterPropertiesSet

public void afterPropertiesSet() throws TransactionSystemException
Deprecated.

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
Throws:
  `TransactionSystemException`

### getObject

@Nullable public JtaTransactionManager getObject()
Deprecated.

Specified by:
  `getObject` in interface `org.springframework.beans.factory.FactoryBean<JtaTransactionManager>`

### getObjectType

public Class<?> getObjectType()
Deprecated.

Specified by:
  `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<JtaTransactionManager>`

### isSingleton

public boolean isSingleton()
Deprecated.

Specified by:
  `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<JtaTransactionManager>`